> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# contents generations tasks

> huoshan compatible interface



## OpenAPI

````yaml post /ai/huoshan/api/v3/contents/generations/tasks
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://ai.pmock.com/api
    description: Generated server url
security: []
tags:
  - name: 开放-minimax视频生成
    description: 开放-minimax视频生成
  - name: 开放-Grok开放接口
    description: 开放-Grok开放接口
  - name: 开放-AI同步调用兼容接口
    description: 开放-AI同步调用兼容接口
  - name: 开放-Gemini开放接口
    description: 开放-Gemini开放接口
  - name: 开放-Sora2开放接口
    description: 开放-Sora2开放接口
  - name: 开放-模型列表接口
    description: 开放-模型列表接口
  - name: 开放-火山视频生成
    description: 开放-火山视频生成
  - name: 开放-OpenAi开放接口
    description: 开放-OpenAi开放接口
  - name: 开放-业务相关接口
    description: 开放-业务相关接口
  - name: 开放-任务开放接口
    description: 开放-任务开放接口
paths:
  /ai/huoshan/api/v3/contents/generations/tasks:
    post:
      tags:
        - 开放-火山视频生成
      summary: contents generations tasks
      description: huoshan compatible interface
      operationId: contentsGenerationsTasks
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HSContentsGenerationsTasksDTO'
        required: true
      responses:
        '200':
          description: OK
components:
  schemas:
    HSContentsGenerationsTasksDTO:
      type: object
      properties:
        model:
          type: string
          description: model
          minLength: 1
        content:
          type: array
          description: content
          items:
            $ref: '#/components/schemas/HSTaskContentDTO'
          minItems: 1
        resolution:
          type: string
          description: resolution
        ratio:
          type: string
          description: ratio
        duration:
          type: integer
          format: int32
          description: duration
        frames:
          type: integer
          format: int32
          description: frames
        watermark:
          type: boolean
          description: watermark
        seed:
          type: integer
          format: int32
          description: seed
        draft:
          type: boolean
          description: draft
        priority:
          type: integer
          format: int32
          description: priority
        tools:
          description: tools
        omni_reference_task_type:
          type: string
          description: omniReferenceTaskType
        generate_audio:
          type: boolean
          description: generateAudio
        output_format:
          type: string
          description: outputFormat
        camera_fixed:
          type: boolean
          description: cameraFixed
        return_last_frame:
          type: boolean
          description: returnLastFrame
        service_tier:
          type: string
          description: serviceTier
        callback_url:
          type: string
          description: callbackUrl
        execution_expires_after:
          type: integer
          format: int32
          description: executionExpiresAfter
        safety_identifier:
          type: string
          description: safetyIdentifier
        extra:
          type: object
          additionalProperties: {}
      required:
        - content
        - model
    HSTaskContentDTO:
      type: object
      properties:
        type:
          type: string
          description: type
        text:
          type: string
          description: text
        role:
          type: string
          description: role
        image_url:
          $ref: '#/components/schemas/ImageUrlVO'
          description: imageUrl
        video_url:
          $ref: '#/components/schemas/VideoUrlVO'
          description: videoUrl
        audio_url:
          $ref: '#/components/schemas/AudioUrlVO'
          description: audioUrl
        draft_task:
          $ref: '#/components/schemas/DraftTaskVO'
          description: draftTask
    ImageUrlVO:
      type: object
      description: ImageUrlVO
      properties:
        url:
          type: string
          description: url
    VideoUrlVO:
      type: object
      description: VideoUrlVO
      properties:
        url:
          type: string
          description: url
    AudioUrlVO:
      type: object
      description: AudioUrl
      properties:
        url:
          type: string
          description: url
    DraftTaskVO:
      type: object
      description: DraftTaskVO
      properties:
        url:
          type: string
          description: url
        id:
          type: string
          description: id

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.